<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF Student page</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="index.html">
	  	<img src="../images/logo.png" alt="" class="img-fluid">
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

        <li class="nav-item dropdown">
         <a class="nav-link dropdown-toggle" href="#" id="dropdown05" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Fab Academy</a>
         <ul class="dropdown-menu" aria-labelledby="dropdown05">

           <li><a class="dropdown-item" href="1.html">1. Principles & Project Management</a></li>
           <li><a class="dropdown-item" href="2.html">2. Computer-aided Design</a></li>
           <li><a class="dropdown-item" href="3.html">3. Computer-controlled Cutting</a></li>
           <li><a class="dropdown-item" href="4.html">4. Electronics Production</a></li>
           <li><a class="dropdown-item" href="5.html">5. 3D Scanning and Printing</a></li>
           <li><a class="dropdown-item" href="6.html">6. Electronics Design</a></li>
           <li><a class="dropdown-item" href="7.html">7. Computer-controlled Machining</a></li>
           <li><a class="dropdown-item" href="8.html">8. Embedded Programming</a></li>
           <li><a class="dropdown-item" href="9.html">9. Input Devices</a></li>
           <li><a class="dropdown-item" href="10.html">10. Applications and Implications</a></li>
           <li><a class="dropdown-item" href="11.html">11. Output Devices</a></li>
           <li><a class="dropdown-item" href="12.html">12. Interface and Application Programming</a></li>
           <li><a class="dropdown-item" href="13.html">13. Invention, Intellectual property and income</a></li>
           <li><a class="dropdown-item" href="14.html">14. Networking</a></li>
           <li><a class="dropdown-item" href="15.html">15. Molding and Casting</a></li>
           <li><a class="dropdown-item" href="16.html">16. Wildcard Week</a></li>

			</ul>
		</div>
	</div>
</nav>

<!-- Header Close -->

<!-- Text start -->
<font color="white">
<section class="section banner-3">
	<div class="container">
		<div class="row justify-content-center align-items-center">
			<div class="col-lg-7">
				<h2>Fab Academy Week 1</h2>
          <br><br>
          <h3>Principles & Program Management</h3>
          <br><br>
          <b>I am in love with data</b> <br><br>

          If I then can get data about myself it would be even better!

          Data that digs deeper than just heart rate and location, data such as lactate level, glucose level, respiratory rate, and the air quality of my surroundings. The aspects will be detected by one of the following body fluids; blood, urine, sweat or saliva.

          To obtain this I want to develop a device that should be mounted or worn by the user’s body, and read the sensors at a specified rate, Once/minute, Once/15min, Once/hour, Once/custom.

          To make this possible I need multiple sensors which can detect the following aspects;
          <ul>
          <li>Heart rate
          <li>Hydration
          <li>Lactate
          <li>Glucose
          <li>Blood pressure
          <li>Air pollution
          <li>Respiratory rate
        </ul>

          To read the data I will need to implement a tiny processor to receive the inputs from the sensors.
          Furthermore, a user interface to visually read and understand the data must be created.
          <br>
          The project will be a part of my MDEF project which is about Human Health Through Data.

          <br><br>
				<img src="images/1 princip/chestsketch.jpg" alt="" class="img-fluid">

<br><br><br><br>
<h2>Updated Project Idea</h2>

<br><br>
As the FabAcademy went on, I quickly realised that such a product would be way beyond my skills, budget and time. Making it close to an impossible task to develop and build.
<br>
My MDEF project also took a turn, where it went from strictly focusing on tech, it went to focus on the human behavior, motivation and habits.
<br>
This change happened due to an realisation that changing a persons health and behavior through tech needs to be supported by sociological changes. Meaning that a tech could be an aid, after the person has change fundamental aspects of its life to be or stay healthy.
<br><br>
Therefor I want to build a product that can help a person to stay more healthy, by exercising and stay out in the nature, away from constant stimuli from Ads, Social Media and other visual/auditory noise.
<br>
The product is a caravan which can be attached to a bicycle.
<br>
The caravan would be expandable, making it both maneuverable and spacious enough to be slept in.
<br>
To add some tech into it and draw benefit from arduino systems, multiple electronics would be installed; Solar panel, battery, charge/discharge measureing from Arduino, lights mounted both front and back for added visibility and a fan for fresh air.
<br><br>
Using SolidWorks I modelled the sketch I drew by hand.
<br><br>
 <img src="images/10 master/601.png" alt="" class="img-fluid">

 <br><br>
 On the Applications & Implications can a more thorough description of the project be found.
<br><br>
<a href="https://madsthomsen.gitlab.io/mads.thomsen/fab/10.html">Applications & Implications</a>

<br><br>

<h2>Making a website for Documentation</h2>

As a part of the FabAcademy and Design for Emergent Futures programs, we have to show our work and progres on a website (which happens to be the website you are on right now)
<br><br>
To do so, we used an opensource tool called GitLab.


Here I'll show how to create the repository for git.

<ol>
  <li>Installed git on our computer from <a href="https://about.gitlab.com/install/">gits website</a> </li>
<br>

  <li>Type in your wanted email - in my case I used my IAAC email address</li>
<br>
<i>Now comes the steps where you like a hacker</i> - I am using a MacBook with the Machintosh operating system, so it will not be the same for a windows-user.
<br><br>
<li>Open Terminal and add our Git username using this command:
<b>git config –-global user.name “YOUR_USERNAME”</b></li>
<br>
<li> Then configure the email address that you used when signing up for Git. And type this command in Terminal

<b>git config -–global user.email “yourname@students.iaac.net”</b></li>
<br>
<li>To make sure everything was secure we had to find our existing or generate a new SSH Key (secure shell key).
To do so use this command in Terminal <b>ssh-keygen -t rsa -C "$your_email" on the terminal</b> </li>
<br>
Almost there !
<br>
<li>Now we have to decide where we want our local folder to be. I chose to place it on my Desktop. Then we hve to close this folder with the repository on Git.</li>
<br>
And now to the final step
<li>Now we need to clone my chosen folder with git. To do so, type in this command in Terminal.
<b>cd ~/Desktop/foldername</b> Lastly type <b>git clone yourSSHkey</b> </li>
</ol>
<br><br>

<h2>Getting started with the website</h2>
<br>
To make sure we all got a template to start with - there was a template created by themefisher in the repository the FabAcademy staff had created for us.
<br>
The program I have used to edit my website is called <a href="https://atom.io/">ATOM</a>
<br>
A good thing about ATOM is the ability to download "packages" which can help with lots of different tasks - pretty much whatever you want.. - It can be getting a live preview of your code while you're writing it, connect it directly to Git, to make uploads with a simple click, another packages helps with spellingchecking.
<br>
Instead of connecting ATOM directly to git, I manually update my website using Terminal.
<br> The commands I write are as follows:
<ol>
  <li><b>cd ~/Desktop/MDEF/mads.thomsen</b></li>
  <li><b>git add. </b></li>
  <li><b>git commit -m "lastchanges" </b></li>
  <li><b>git push </b></li>
</ol>
<br>
Here I've added a photo of how it looks like when it is uploading.
<br>
	<img src="images/1 princip/terminalss.png" alt="" class="img-fluid">
<br>
For me the task of designing a website is no easy task - I really lack skills of UI. So in the end my "design" ended up being pretty simple and straight to the point.


			</div>

				</ul>
			</div>
		</div>
	</div>
</section>

<!-- Text End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
